Token payroll

Get Org Currencies

Lists the org's currencies with presigned S3 download URLs for their logo files.

GEThttps://api.toku.com/hris/get-org-currencies

Required scope: organization:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-org-currencies?orgID=%3CorgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "currencies": [
    {
      "currencyID": "string",
      "orgID": "string",
      "crypto": true,
      "name": "string",
      "currencyCode": "string",
      "slug": "string",
      "source": "string",
      "sourceCurrencyID": "string",
      "isActive": true,
      "createdAt": "string",
      "updatedAt": "string",
      "coinLogoFileID": "string",
      "coinLogoFileKey": "string",
      "coinLogoURL": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>required

Response

200Successful response
currenciesobject[]required
Show child attributes
currencyIDstringrequired
orgIDstringrequired
cryptobooleanrequired
namestringrequired
currencyCodestringrequired
slugstring | nullrequired
sourcestring | nullrequired
sourceCurrencyIDstring | nullrequired
isActivebooleanrequired
createdAtstringrequired
updatedAtstringrequired
coinLogoFileIDstring | nullrequired
coinLogoFileKeystring | nullrequired
coinLogoURLstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits